本博客运行在PHP7.2上了

刚发布的PHP7.2,第一时间试用!好吧,现在PHP官网还没有正式出来,但从昨天就可以下载了(顺便把WNMP包更新了)。

昨天在VPS上编译安装了PHP-7.2.0,如下:

# php -v
PHP 7.2.0 (cli) (built: Nov 29 2017 21:50:22) ( NTS )
Copyright (c) 1997-2017 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2017 Zend Technologies
with Zend OPcache v7.2.0, Copyright (c) 1999-2017, by Zend Technologies

从PHP7.1切换到PHP7.2之后,Wordpress(已升级到4.9)出现如下错误:

Warning: Use of undefined constant ENABLE_CACHE - assumed 'ENABLE_CACHE' (this will throw an Error in a future version of PHP) in wordpress/wp-config.php on line 89

wp-config.php中的89行注释掉就行了。

现在的博客运行环境是:Nginx-1.13.7+MariaDB-10.2.11+PHP-7.2.0,Wordpress版本是4.9,不过Wordpress-4.9.1已发布,一会就更新一下!

发表评论

电子邮件地址不会被公开。